cURL
curl --request GET \
--url https://api.jup.ag/portfolio/v1/positions/{address}{
"date": 1710000000000,
"owner": "BQ72nSv9f3PRyRKCBnHLVrerrv37CYTHm5h3s9VSGQDV",
"fetcherReports": [
{
"id": "jupiter-exchange",
"status": "ok",
"duration": 120
}
],
"elements": [
{
"type": "multiple",
"label": "Wallet",
"platformId": "native-stake",
"name": "Native Stake",
"data": {
"assets": [
{
"type": "token",
"networkId": "solana",
"value": 1713.4,
"data": {
"address": "So11111111111111111111111111111111111111112",
"amount": 10,
"price": 171.34
}
}
]
}
}
],
"duration": 450
}Portfolio
Get Positions
Request for Jupiter positions of an address
GET
/
positions
/
{address}
cURL
curl --request GET \
--url https://api.jup.ag/portfolio/v1/positions/{address}{
"date": 1710000000000,
"owner": "BQ72nSv9f3PRyRKCBnHLVrerrv37CYTHm5h3s9VSGQDV",
"fetcherReports": [
{
"id": "jupiter-exchange",
"status": "ok",
"duration": 120
}
],
"elements": [
{
"type": "multiple",
"label": "Wallet",
"platformId": "native-stake",
"name": "Native Stake",
"data": {
"assets": [
{
"type": "token",
"networkId": "solana",
"value": 1713.4,
"data": {
"address": "So11111111111111111111111111111111111111112",
"amount": 10,
"price": 171.34
}
}
]
}
}
],
"duration": 450
}Path Parameters
Solana wallet address
Query Parameters
Comma separated list of platform ids
Response
200 - application/json
Default Response
Show child attributes
Show child attributes
elements
(PortfolioElementMultiple · object | PortfolioElementLiquidity · object | PortfolioElementLeverage · object | PortfolioElementBorrowLend · object | PortfolioElementTrade · object)[]
- PortfolioElementMultiple
- PortfolioElementLiquidity
- PortfolioElementLeverage
- PortfolioElementBorrowLend
- PortfolioElementTrade
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
